// file: lxn_cstr_3.cc
//

// isip include files
//
#include "lex_node.h"
#include "lex_node_constants.h"

// method: constructor
//
// arguments:
//  Lex_node& node: (input) the lexical node to copy
//
// return: none
//
// this is a copy constructor
//
Lex_node::Lex_node(Lex_node& node_a) {

  // copy parameters
  //
  phone_d = node_a.phone_d;
  score_d = node_a.score_d;
  word_end_d = node_a.word_end_d;
  type_d = node_a.type_d;
    
  child_d = (Link_list*)NULL;
  if (node_a.child_d != (Link_list*)NULL) {
    child_d = new Link_list(*node_a.child_d);
  }
  
  words_d = (Link_list*)NULL;
  if (node_a.words_d != (Link_list*)NULL) {
    words_d = new Link_list(*node_a.words_d);
  }
  
  // exit gracefully
  //
}
